nxt

## Enum Account.Event

- java.lang.Object
- - java.lang.Enum<Account.Event>
  - - nxt.Account.Event

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Account.Event>
  Enclosing class:
    Account

      public static enum Account.Event
      extends java.lang.Enum<Account.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSET_BALANCE`
    `BALANCE`
    `CURRENCY_BALANCE`
    `DELETE_PROPERTY`
    `LEASE_ENDED`
    `LEASE_SCHEDULED`
    `LEASE_STARTED`
    `SET_PROPERTY`
    `UNCONFIRMED_ASSET_BALANCE`
    `UNCONFIRMED_BALANCE`
    `UNCONFIRMED_CURRENCY_BALANCE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Account.Event` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Account.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BALANCE

          public static final Account.Event BALANCE

    - #### UNCONFIRMED_BALANCE

          public static final Account.Event UNCONFIRMED_BALANCE

    - #### ASSET_BALANCE

          public static final Account.Event ASSET_BALANCE

    - #### UNCONFIRMED_ASSET_BALANCE

          public static final Account.Event UNCONFIRMED_ASSET_BALANCE

    - #### CURRENCY_BALANCE

          public static final Account.Event CURRENCY_BALANCE

    - #### UNCONFIRMED_CURRENCY_BALANCE

          public static final Account.Event UNCONFIRMED_CURRENCY_BALANCE

    - #### LEASE_SCHEDULED

          public static final Account.Event LEASE_SCHEDULED

    - #### LEASE_STARTED

          public static final Account.Event LEASE_STARTED

    - #### LEASE_ENDED

          public static final Account.Event LEASE_ENDED

    - #### SET_PROPERTY

          public static final Account.Event SET_PROPERTY

    - #### DELETE_PROPERTY

          public static final Account.Event DELETE_PROPERTY

  - ### Method Detail

    - #### values

          public static Account.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Account.Event c : Account.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Account.Event valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null